summaryrefslogtreecommitdiffstats
path: root/jjb/fuel
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/fuel')
-rwxr-xr-xjjb/fuel/fuel-build.sh11
-rwxr-xr-xjjb/fuel/fuel-deploy-virtual.sh41
-rwxr-xr-xjjb/fuel/fuel-deploy.sh6
-rwxr-xr-xjjb/fuel/fuel-virtual-deploy.sh3
-rw-r--r--jjb/fuel/fuel.yml17
5 files changed, 64 insertions, 14 deletions
diff --git a/jjb/fuel/fuel-build.sh b/jjb/fuel/fuel-build.sh
index cffd8673b..00617ce54 100755
--- a/jjb/fuel/fuel-build.sh
+++ b/jjb/fuel/fuel-build.sh
@@ -19,9 +19,16 @@ else
export OPNFV_ARTIFACT_VERSION=$(date -u +"%Y-%m-%d_%H-%M-%S")
fi
+NOCACHE_PATTERN="verify: no-cache"
+if [[ "$JOB_NAME" =~ "verify" && "$GERRIT_CHANGE_COMMIT_MESSAGE" =~ "$NOCACHE_PATTERN" ]]; then
+ echo "The cache will not be used for this build!"
+ NOCACHE_ARG="-f P"
+fi
+NOCACHE_ARG=${{NOCACHE_ARG:-}}
+
# start the build
-cd $WORKSPACE/$INSTALLER/ci
-./build.sh -v $OPNFV_ARTIFACT_VERSION -c file://$CACHE_DIRECTORY $BUILD_DIRECTORY
+cd $WORKSPACE/ci
+./build.sh -v $OPNFV_ARTIFACT_VERSION $NOCACHE_ARG -c file://$CACHE_DIRECTORY $BUILD_DIRECTORY
# list the build artifacts
ls -al $BUILD_DIRECTORY
diff --git a/jjb/fuel/fuel-deploy-virtual.sh b/jjb/fuel/fuel-deploy-virtual.sh
new file mode 100755
index 000000000..a65395b07
--- /dev/null
+++ b/jjb/fuel/fuel-deploy-virtual.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# source the file so we get OPNFV vars
+source latest.properties
+
+# echo the info about artifact that is used during the deployment
+echo "Using $(echo $OPNFV_ARTIFACT_URL | cut -d'/' -f3) for deployment"
+
+# create TMPDIR if it doesn't exist
+export TMPDIR=$HOME/tmpdir
+[[ -d $TMPDIR ]] || mkdir -p $TMPDIR
+
+# change permissions down to TMPDIR
+chmod a+x $HOME
+chmod a+x $TMPDIR
+
+# set CONFDIR, BRIDGE
+CONFDIR=$WORKSPACE/deploy/templates/virtual_environment/conf
+BRIDGE=pxebr
+
+# log info to console
+echo "Starting the deployment for a merged change using $INSTALLER. This could take some time..."
+echo "--------------------------------------------------------"
+echo
+
+# start the deployment
+echo "Issuing command"
+echo "sudo $WORKSPACE/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -nh"
+
+sudo $WORKSPACE/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -nh
+
+echo
+echo "--------------------------------------------------------"
+echo "Virtual deployment is done! Removing the intermediate files from artifact repo"
+
+PROPERTIES_FILE=$(echo $OPNFV_ARTIFACT_URL | sed 's/iso/properties/')
+gsutil rm gs://$OPNFV_ARTIFACT_URL
+gsutil rm gs://$PROPERTIES_FILE
diff --git a/jjb/fuel/fuel-deploy.sh b/jjb/fuel/fuel-deploy.sh
index 2ec519597..b617bcf01 100755
--- a/jjb/fuel/fuel-deploy.sh
+++ b/jjb/fuel/fuel-deploy.sh
@@ -18,7 +18,7 @@ chmod a+x $HOME
chmod a+x $TMPDIR
# set CONFDIR, BRIDGE
-CONFDIR=$WORKSPACE/fuel/deploy/templates/hardware_environment/conf/linux_foundation_lab/pod2
+CONFDIR=$WORKSPACE/deploy/templates/hardware_environment/conf/linux_foundation_lab/pod2
BRIDGE=pxebr
# clone genesis repo and checkout the SR1 tag
@@ -41,9 +41,9 @@ echo
# start the deployment
echo "Issuing command"
-echo "sudo $WORKSPACE/fuel/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -nh"
+echo "sudo $WORKSPACE/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -nh"
-sudo $WORKSPACE/fuel/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -nh
+sudo $WORKSPACE/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -nh
echo
echo "--------------------------------------------------------"
diff --git a/jjb/fuel/fuel-virtual-deploy.sh b/jjb/fuel/fuel-virtual-deploy.sh
deleted file mode 100755
index 4e0b2dc47..000000000
--- a/jjb/fuel/fuel-virtual-deploy.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/bash
-
-echo "Placeholder for Fuel virtual deploy"
diff --git a/jjb/fuel/fuel.yml b/jjb/fuel/fuel.yml
index e809592fc..c0ba580de 100644
--- a/jjb/fuel/fuel.yml
+++ b/jjb/fuel/fuel.yml
@@ -12,7 +12,7 @@
jobs:
- 'fuel-verify-build-{stream}'
- 'fuel-merge-build-{stream}'
- - 'fuel-merge-virtual-deploy-{stream}'
+ - 'fuel-merge-deploy-virtual-{stream}'
- 'fuel-daily-{stream}'
- 'fuel-build-{stream}'
- 'fuel-deploy-{stream}'
@@ -64,7 +64,7 @@
wrappers:
- ssh-agent-credentials:
- user: '{ssh-credentials}'
+ users: '{ssh-credentials}'
- timeout:
timeout: 360
fail: true
@@ -87,6 +87,7 @@
branches:
- branch-compare-type: 'ANT'
branch-pattern: '**/{branch}'
+ readable-message: true
builders:
- shell:
@@ -130,7 +131,7 @@
wrappers:
- ssh-agent-credentials:
- user: '{ssh-credentials}'
+ users: '{ssh-credentials}'
- timeout:
timeout: 360
fail: true
@@ -157,11 +158,11 @@
!include-raw ./fuel-workspace-cleanup.sh
- job-template:
- name: 'fuel-merge-virtual-deploy-{stream}'
+ name: 'fuel-merge-deploy-virtual-{stream}'
project-type: freestyle
- node: ericsson-build
+ node: fuel-deploy-virtual
concurrent: true
@@ -213,10 +214,14 @@
- shell:
!include-raw ./fuel-download-artifact.sh
- shell:
- !include-raw ./fuel-virtual-deploy.sh
+ !include-raw ./fuel-deploy-virtual.sh
- shell:
!include-raw ./fuel-workspace-cleanup.sh
+ publishers:
+ - email:
+ recipients: jonas.bjurel@ericsson.com stefan.k.berg@ericsson.com
+
- job-template:
name: 'fuel-daily-{stream}'